* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Poppins', sans-serif;
}

html, body {
  overflow-x: hidden;
  scroll-behavior: smooth;
}

body {
  background: #303030;
  color: #fcfcfc;
}

/* ================= HEADER ================= */

header {
  position: fixed;
  width: 100%;
  padding: 20px 8%;
  background: rgba(0, 0, 0, 0.514);
  backdrop-filter: blur(12px);
  z-index: 1000;
}

nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.logo {
  font-weight: 700;
  background: linear-gradient(
    90deg,
    #00ff1a,
    #99fa92,
    #00ff1a
  );
  background-size: 200% auto;
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  color: transparent;

  animation: logoGradient 3s linear infinite;
}

.log {
  font-weight: 400;
  color: #fdfbfb;
  font-size: 0.8rem;
  margin-top: -40px;
}

nav ul {
  display: flex;
  gap: 30px;
  list-style: none;
}

nav a {
  color: white;
  text-decoration: none;
  transition: 0.3s;
}

nav a:hover {
  color: #2bff00;
}

/* ================= MENU MOBILE ================= */

.menu-toggle {
  display: none;
  flex-direction: column;
  cursor: pointer;
  gap: 5px;
}

.menu-toggle span {
  width: 25px;
  height: 3px;
  background: white;
}

.nav-links {
  transition: 0.4s;
}

/* ================= HERO ================= */


.hero {
  min-height: 100vh;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 120px 8% 0 8%;
  gap: 40px;
  flex-wrap: wrap;
}

.hero-text {
  max-width: 550px;
}

.hero-text h4 {
  opacity: 0.8;
}

.hero-text h1 {
  font-size: 2.4rem;
  color: #00ff37;
  margin: 10px 0;
}

.hero-text h3 {
  margin-bottom: 15px;
}

.hero-text p {
  opacity: 0.85;
  line-height: 1.6;
}

.btn-primary {
  display: inline-block;
  margin-top: 25px;
  padding: 14px 30px;
  background: linear-gradient(45deg, #10d402, #064a01);
  color: white;
  text-decoration: none;
  border-radius: 10px;
  font-weight: 600;
  transition: 0.3s;
}

.btn-primary:hover {
  transform: translateY(-3px);
  box-shadow: 0 0 25px #00ff1a;
}

/* ===== IMAGEM HERO ===== */

.hero-image {
  width: 380px;
  height: 380px;
  border-radius: 20px;
  overflow: hidden;
  box-shadow: 0 0 40px #00ff1a6e;
  animation: float 4s ease-in-out infinite;
}

.hero-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* animação */
@keyframes float {
  0%,100% { transform: translateY(0); }
  50% { transform: translateY(-15px); }
}

/* ================= SECTIONS ================= */

section {
  padding: 100px 8%;
}

h2 {
  font-size: 2rem;
  margin-bottom: 40px;
  color: #ffffff;
}

/* ================= CARDS ================= */

.cards {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  gap: 30px;
}

.card p{
  font-size: 0.85rem;
  line-height: 1.5;
  opacity: 0.8;
}

.card {
  background: #137c00;
  padding: 30px;
  border-radius: 15px;
  transition: 0.3s;
}

.card:hover {
  transform: translateY(-8px);
  box-shadow: 0 0 20px #00ff1a;
}

/* ================= DIFERENCIAIS ================= */

.diferenciais {
  background: #002a06;
}

.diferenciais-container {
  display: flex;
  gap: 60px;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}

.diferenciais-text,
.diferenciais-list {
  flex: 1;
  min-width: 280px;
}

.diferencial-item {
  display: flex;
  gap: 20px;
  background: #137c00;
  padding: 20px;
  border-radius: 15px;
  margin-bottom: 20px;
  transition: 0.3s;
}

.diferencial-item:hover {
  transform: translateX(5px);
  box-shadow: 0 0 15px #00ff1a;
}

.icon {
  font-size: 1.5rem;
}

/* ================= CONTATO ================= */

.contact {
  text-align: center;
}

.contact form {
  margin: 0 auto;
  max-width: 500px;
  background: #023305;
  padding: 40px;
  border-radius: 20px;
}

.contact input,
.contact textarea {
  padding: 14px;
  border-radius: 10px;
  border: none;
  width: 100%;
  margin-bottom: 15px;
  background: #0a4705;
  color: white;
}

.contact textarea {
  resize: none;
  min-height: 120px;
}

.contact button {
  padding: 14px;
  border-radius: 10px;
  border: none;
  background: linear-gradient(45deg, #25d366, #128c7e);
  color: white;
  font-weight: 600;
  cursor: pointer;
  transition: 0.3s;
}

.contact button:hover {
  transform: translateY(-3px);
  box-shadow: 0 0 20px #25d366;
}

/* ================= MOBILE ================= */

@media (max-width: 768px) {

  header {
    padding: 15px 5%;
  }

  .menu-toggle {
    display: flex;
  }

  .nav-links {
    position: absolute;
    top: 70px;
    right: -100%;
    width: 220px;
    background: #140233;
    flex-direction: column;
    padding: 25px;
    border-radius: 12px;
  }

  .nav-links.active {
    right: 5%;
  }

  .hero {
    flex-direction: column;
    text-align: center;
  }

  .hero-image {
    width: 260px;
    height: 260px;
    margin-top: 40px;
  }

  section {
    padding: 80px 5%;
  }

  .diferenciais-container {
    flex-direction: column;
  }

}

@keyframes logoGradient {
  to {
    background-position: 200% center;
  }
}